package com.menagerie.ophelia.database.polycule

import com.menagerie.ophelia.database.polycule.entity.Bio
import com.menagerie.ophelia.database.polycule.entity.BioDao
import kotlinx.coroutines.flow.Flow


class PolyculeRepository(
    private val bioDao: BioDao
) {

    suspend fun upsertBio(bio: Bio): Long {
    return 0
    //return bioDao.findOrInsert(bio)
    }

    fun getAlphabetisedBios(): Flow<List<Bio>> {
        return bioDao.getAllAlphabetisedBios()
    }

    fun getAllBios(): Flow<List<Bio>> {
        return bioDao.getAllBios()
    }

    suspend fun insert(bio : Bio) {
        bioDao.insert(bio)
    }

}